Summary
Export Workflow
Description
Export a single Workflow
Route
POST /workflow_builder/export
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| options | object | yes | match a workflow using _id or name. Type may be included as an additional filter when using name. |
{ "options": { "_id": "4321abcdef694aa79dae47ad", "name": "someWorkflowName", "type": "adipisicing in deserunt cupidatat" } }
{ "type": "object", "properties": { "options": { "type": "object", "properties": { "_id": { "type": "string", "pattern": "^[0-9a-f]{24}$", "title": "MongoDB ObjectId", "description": "Id of Workflow document", "examples": [ "4321abcdef694aa79dae47ad", "5cb7b531d06cceb89fd21b1c" ] }, "name": { "type": "string", "description": "The name of the workflow. When provided, 'type' can also be specified for additional filtering.", "examples": [ "someWorkflowName" ] }, "type": { "type": "string", "description": "The type of the workflow. It is an optional field and is used in conjunction with 'name' for filtering." } }, "required": [ "_id", "name" ], "oneOf": [ { "required": [ "_id" ] }, { "required": [ "name" ] } ], "additionalProperties": false } }, "required": [ "options" ], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| workflow | object | Exported Workflow |
{ "name": "My Workflow", "type": "automation", "tasks": { "workflow_start": { "name": "workflow_start", "summary": "workflow_start", "groups": [ { "name": "eu in", "provenance": "ea qui" }, { "name": "ex ad proident", "provenance": "adipisicing deserunt nostrud" } ], "x": 34947022.84206861, "y": 48442520.24166745 }, "workflow_end": { "name": "workflow_end", "summary": "workflow_end", "groups": [ { "name": "laborum nulla", "provenance": "nostrud" }, { "name": "Lorem eu enim nulla", "provenance": "labore" }, { "name": "aute non ut ullamco", "provenance": "dolore" }, { "name": "nostrud cillum ullamco", "provenance": "laborum ipsum pariatur" }, { "name": "Excepteur aliqua", "provenance": "in qui mollit velit veniam" } ], "x": 96044179.74472153, "y": -23151160.236080945 }, "error_handler": { "name": "childJob", "summary": "quis amet dolor sit in", "description": "voluptate Duis dolore do ut", "app": "incididunt Excepteur ullamco pariatur", "variables": { "error": "", "decorators": [ { "type": "encryption", "pointer": "/hsCK,IBKY/~1/~1/~0/ya21upy1" }, { "type": "encryption", "pointer": "/cR+38j/V+I+,CU/~1/~0/eLn/AM+aV+aY9T/sZ9.IGYgXiS/qk9t/~0" }, { "type": "encryption", "pointer": "/~0/qEKgo/jT69q9GPD/o/~1/Di7BjLTE9/wu53" }, { "type": "encryption", "pointer": "/~0/id.dU+5A/I5/d,9yzTkU/bVZD/~0/~1/CC6jepQ" }, { "type": "encryption", "pointer": "/h+1GW" } ] }, "groups": [ { "name": "laborum eiusmod", "provenance": "nulla consectetur voluptate labore" }, { "name": "reprehenderit", "provenance": "esse sint occaecat consectetur" }, { "name": "ullamco in", "provenance": "dolore laborum occaecat labore veniam" }, { "name": "labore", "provenance": "Duis eiusmod dolor velit" }, { "name": "ipsum", "provenance": "incididunt" } ], "x": -75986968.11448184, "y": -91136944.72579667, "type": "operation", "gridCoordinate": { "x": -61978888.34694702, "y": -86175844.45445713 }, "deprecated": false, "scheduled": true } }, "transitions": {}, "groups": [ { "name": "non ullamco officia id", "provenance": "dolor reprehenderit" }, { "name": "laborum ullamco occaecat", "provenance": "elit occaecat officia laboris in" }, { "name": "fugiat proident amet velit id", "provenance": "tempor deserunt velit" } ], "_id": "2b124dbb-b81a-a6d6-0df3-28fd68595be9", "description": "sed ad", "errorHandler": { "type": "consequat ut", "name": "Ut quis amet ea" }, "font_size": 12, "created": "2003-02-22T12:36:35.934Z", "created_by": null, "createdVersion": "ipsum", "last_updated": "2023-12-24T17:15:11.491Z", "last_updated_by": { "username": "in labore irure ea incididunt", "provenance": "do qui" }, "lastUpdatedVersion": "cillum eiusmod magna", "tags": [ { "_id": "20eCd12c77AB5E5Be9a5Dc86", "name": "aliquip", "description": "Lorem" }, { "_id": "33Dcb25dEB1a4fEBad6Aa4C3", "name": "commodo amet reprehenderit", "description": "do Excepteur in occaecat nostrud" }, { "_id": "29442F97Cf4F71489b1C437d", "name": "et Lorem incididunt culpa labore", "description": "officia ut" }, { "_id": "C5CBE56c17A7dbb20cBFfa5b", "name": "esse labore Excepteur qui", "description": "occaecat ad Lorem id" }, { "_id": "Ddd5eBEee5F8FDBFd6B37cDb", "name": "elit", "description": "aliquip voluptate consectetur amet" } ], "canvasVersion": 1.5, "encodingVersion": 1, "decorators": [ { "type": "encryption", "pointer": "/VulO/vf3l/~1" }, { "type": "encryption", "pointer": "/~1/r9kTC/29/~1/vWFwqxOHT/cURmkv1/~1/Z0eG8Ovy/vjcy/~0/~1" }, { "type": "encryption", "pointer": "/~0/~0/~0/~0/DZVEUV.KN/wx1YDnF" }, { "type": "encryption", "pointer": "/~0/j,AY3/d/~1/~1/~0/PfA69nD4YP" } ], "migrationVersion": 85747463 }
{ "$ref": "workflowPayload" }